Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# derived_image_type Class Template Reference
[derived_xxx_type]

`#include <metafunctions.hpp>`

List of all members.

## Detailed Description

### template<typename Image, typename T = use_default, typename L = use_default, typename IsPlanar = use_default>
class boost::gil::derived_image_type< Image, T, L, IsPlanar >

Constructs a homogeneous image type from a source image type by changing some of the properties.

Use use_default for the properties of the source image that you want to keep.

## Public Types

typedef image_type< channel_t, layout_t, planar >::type | type

The documentation for this class was generated from the following file:

- metafunctions.hpp